Bug 1615232 - libzypp: Download of files with infinite size from a malicious mirror
Summary: libzypp: Download of files with infinite size from a malicious mirror
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1615233
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-13 06:02 UTC by Sam Fowler
Modified: 2019-09-29 14:47 UTC (History)
2 users (show)

Fixed In Version: libzypp 17.5.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-04 02:22:05 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-08-13 06:02:21 UTC
libzypp before version 17.5.3 does not limit the size of download files allowing for a malicious mirror to serve files of infinite size and fill a client's storage space.


Upstream Patch:

https://github.com/openSUSE/libzypp/pull/128/files

Comment 1 Sam Fowler 2018-08-13 06:02:43 UTC
Created libzypp tracking bugs for this issue:

Affects: fedora-all [bug 1615233]

Comment 2 Neal Gompa 2019-03-04 02:22:05 UTC
This was fixed a long time ago...


Note You need to log in before you can comment on or make changes to this bug.